Name:           osmo
Version:        0.2.14
Release:        %mkrel 1
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office 
Url:            http://clayo.org/osmo
Source0:        http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.xz
#----------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gringotts-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkspell-devel
BuildRequires: %{_lib}ical-devel
BuildRequires: %{_lib}icalvcal0
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: gtkhtml2-devel
BuildRequires: desktop-file-utils
#----------------------------------------------
Requires: glibc >= 2.20


%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.
Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.
It is independent of any particular desktop environment. 

%prep
%setup -q

%build
%configure2_5x LIBICAL_CFLAGS=-I/usr/include/libical
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-edit \
--add-category='X-MandrivaLinux-Office-Accessories' \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jan 02 2016 pp <pp> 0.2.14-1pclos2016
- update

* Fri Feb 06 2015 bb <bb> 0.2.12-1pclos2015
- update
